#include<iostream>
using namespace std;
long long Gaus(long long n)
{
    return n + Gaus(n-1);
}
int main()
{
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    long long N,k,sum=0,sum1=0,sum2=0;
    cin>>N>>k;
    long long a[N];
    for(long long i=1;i<=N;i++)
    {
        cin>>a[i];
    }
    if(k==0)
    {
        for(long long i=1;i<=N;i++)
        {
            sum = sum + a[i];
        }
        cout<<sum;
    }
    else
    {
        for(long long i=1;i<=N/2;i++)
        {
            sum1 = sum1 + i*(N-i+1);
        }
        for(long long i=N;i<=N/2;i--)
        {
            sum2 = sum2 + i*(N-i+1);
        }
        cout<< sum1 + sum2;
    }
    return 0;
}